    The XSPEC lsmooth convolution model: lorentzian smoothing

xslsmooth
The xslsmooth model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xslsmooth", "mdl")
>>> print(mdl)

Create a component of the xslsmooth model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Sig_6keV thawed 1 0 20 keV mdl.Index frozen 0 -1 1

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Sig_6keV
lorentzian sigma at 6 keV
Index
power of energy for sigma variation

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelLsmooth.html

Changes in CIAO

The XSPEC model parameter was renamed from Sig@6keV to Sig_6keV so this is now the name of the parameter. The old name (SigAt6keV) can still be used but will be removed in a future release.

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023